gov.ornl.mercury3.services

## Class SourceQuery

- java.lang.Object
- - gov.ornl.mercury3.services.SourceQuery

-     public class SourceQuery
      extends Object

  Builds a composite datasource clause for querying.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceQuery()`
    `SourceQuery(SourceObject so)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `build_display_query()`
    `String` | `build_ds_Snippet(ArrayList<String> al, String attribute)`
    `String` | `buildQuery()`
    `String` | `buildSnippet(ArrayList<String> al, String attribute)`
    `String` | `buildT10_ds_Snippet(ArrayList<String> al)`
    `String` | `buildT10Snippet(ArrayList<String> al)`
    `String` | `buildT11_ds_Snippet(ArrayList<String> al)`
    `String` | `buildT11Snippet(ArrayList<String> al)`
    `String` | `buildT6_ds_Snippet(ArrayList<String> al)`
    `String` | `buildT6Snippet(ArrayList<String> al)`
    `static void` | `main(String... args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceQuery

          public SourceQuery()

    - #### SourceQuery

          public SourceQuery(SourceObject so)

  - ### Method Detail

    - #### buildT6Snippet

          public String buildT6Snippet(ArrayList<String> al)

    - #### buildT10Snippet

          public String buildT10Snippet(ArrayList<String> al)

    - #### buildT11Snippet

          public String buildT11Snippet(ArrayList<String> al)

    - #### buildSnippet

          public String buildSnippet(ArrayList<String> al,
                            String attribute)

    - #### build_ds_Snippet

          public String build_ds_Snippet(ArrayList<String> al,
                                String attribute)

    - #### buildT6_ds_Snippet

          public String buildT6_ds_Snippet(ArrayList<String> al)

    - #### buildT10_ds_Snippet

          public String buildT10_ds_Snippet(ArrayList<String> al)

    - #### buildT11_ds_Snippet

          public String buildT11_ds_Snippet(ArrayList<String> al)

    - #### build_display_query

          public String build_display_query()

    - #### buildQuery

          public String buildQuery()

    - #### main

          public static void main(String... args)

Copyright © 2016. All rights reserved.